Bug 590777 - Review Request: php-domxml-php4-php5 - XML transition from PHP4 domxml to PHP5 dom module
Summary: Review Request: php-domxml-php4-php5 - XML transition from PHP4 domxml to PHP...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Johan Cwiklinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 549604 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 16:53 UTC by Remi Collet
Modified: 2010-06-08 21:39 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-06-03 18:11:03 UTC
johan: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2010-05-10 16:53:32 UTC
Spec URL: http://github.com/remicollet/remirepo/blob/master/php-domxml-php4-php5/php-domxml-php4-php5.spec
SRPM URL: http://remi.fedorapeople.org/php-domxml-php4-php5-1.21.1-1.remi.src.rpm
Description:
XML transition from PHP4 domxml to PHP5 dom module.


Taking over #549604
This small library is embeded by some other PHP packages.

From rpmlint:
php-domxml-php4-php5.src: W: invalid-url Source0: domxml-php4-php5-1.21.1.tar.gz
=> see comment (howto create a simple tarball)
php-domxml-php4-php5.noarch: W: no-documentation
=> nothing provided upstream

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2177862

Comment 1 Remi Collet 2010-05-10 16:54:31 UTC
*** Bug 549604 has been marked as a duplicate of this bug. ***

Comment 2 Johan Cwiklinski 2010-05-15 07:46:05 UTC
Just a quick note, license should be LGPLv3+ instead of LGPLv3 according to source file header.

Comment 4 Johan Cwiklinski 2010-05-15 09:40:01 UTC
REVIEW:
+ rpmlint is clean
php-domxml-php4-php5.src: I: checking
=> (false spelling-error from french removed and ignored)
php-domxml-php4-php5.src: I: checking-url http://alexandre.alapetite.fr/doc-alex/domxml-php4-php5 (timeout 10 seconds)
php-domxml-php4-php5.src: W: invalid-url Source0: domxml-php4-php5-1.21.1.tar.gz
php-domxml-php4-php5.noarch: I: checking
=> (false spelling-error from french removed and ignored)
php-domxml-php4-php5.noarch: I: checking-url http://alexandre.alapetite.fr/doc-alex/domxml-php4-php5 (timeout 10 seconds)
php-domxml-php4-php5.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 12 warnings.
+ package is named according to the  Package Naming Guidelines .
+ spec file name ok
+ The package meet the Packaging Guidelines and PHP Guidelines
+ license ok (LGPLv3) and match upstream
+ license provided
+ spec file is legible
+ sources match upstream
a735ed6005551a49477b634004ca2c76  domxml-php4-to-php5.php
+ source URL not ok, but explained in the specfile
+ build on F13 x86_64 (php 5.3.3dev)
+ BuildRequires
+ no locale
+ no shared library (extension are not lib.)
+ no system library
+ own all directories that it creates
+ not list a file more than once in the spec 
+ Permissions on files are set properly.
+ %clean ok
+ consistently use macro
+ contain code
+ no doc, no sub package
+ no -devel
+ no -static
+ no .pc
+ no .la
+ not own files or directories already owned by other packages
+ %install start with rm -rf $RPM_BUILD_ROOT
+ all files are UTF-8
+ provides
php-domxml-php4-php5 = 1.21.1-1.fc13
+ requires
php-xml >= 5.1

***** APPROVED *****

Comment 5 Remi Collet 2010-05-15 09:52:50 UTC
Thanks for the review

New Package CVS Request
=======================
Package Name: php-domxml-php4-php5
Short Description: XML transition from PHP4 domxml to PHP5 dom module
Owners: remi
Branches: F-12 F-13 EL-5 EL-6
InitialCC:

Comment 6 Dennis Gilmore 2010-05-18 18:18:48 UTC
CVS Done

Comment 7 Fedora Update System 2010-05-19 18:19:50 UTC
php-domxml-php4-php5-1.21.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-domxml-php4-php5-1.21.1-2.fc13

Comment 8 Fedora Update System 2010-05-19 18:20:40 UTC
php-domxml-php4-php5-1.21.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-domxml-php4-php5-1.21.1-2.fc12

Comment 9 Fedora Update System 2010-05-19 18:22:27 UTC
php-domxml-php4-php5-1.21.1-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/php-domxml-php4-php5-1.21.1-2.el5

Comment 10 Fedora Update System 2010-05-20 18:45:16 UTC
php-domxml-php4-php5-1.21.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-domxml-php4-php5'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-domxml-php4-php5-1.21.1-2.fc12

Comment 11 Fedora Update System 2010-05-20 18:47:50 UTC
php-domxml-php4-php5-1.21.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-domxml-php4-php5'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-domxml-php4-php5-1.21.1-2.fc13

Comment 12 Fedora Update System 2010-05-21 00:30:51 UTC
php-domxml-php4-php5-1.21.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-domxml-php4-php5'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-domxml-php4-php5-1.21.1-2.el5

Comment 13 Fedora Update System 2010-06-03 18:10:56 UTC
php-domxml-php4-php5-1.21.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-06-03 18:16:04 UTC
php-domxml-php4-php5-1.21.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-06-08 21:39:36 UTC
php-domxml-php4-php5-1.21.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.